#header, #footer {
  background-color: blue;
}

#left, #content, #right {
  padding-bottom: 1000em;
  margin-bottom: -1000em;
  float: left;
}

#left {
  width: 20%;
  background-color: yellow;
}

#content {
  width: 60%;
  background-color: green;
}

#right {
  width: 20%;
  background-color: red;
}

#main {
  overflow: hidden;
}
